// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Normal Operating Performance Category
 * </pre>
 *
 * Protobuf enum {@code commonmodule.AbnOpCatKind}
 */
public enum AbnOpCatKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>AbnOpCatKind_UNDEFINED = 0;</code>
   */
  AbnOpCatKind_UNDEFINED(0),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_I = 1;</code>
   */
  AbnOpCatKind_I(1),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_II = 2;</code>
   */
  AbnOpCatKind_II(2),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_III = 3;</code>
   */
  AbnOpCatKind_III(3),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>AbnOpCatKind_UNDEFINED = 0;</code>
   */
  public static final int AbnOpCatKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_I = 1;</code>
   */
  public static final int AbnOpCatKind_I_VALUE = 1;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_II = 2;</code>
   */
  public static final int AbnOpCatKind_II_VALUE = 2;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>AbnOpCatKind_III = 3;</code>
   */
  public static final int AbnOpCatKind_III_VALUE = 3;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static AbnOpCatKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static AbnOpCatKind forNumber(int value) {
    switch (value) {
      case 0: return AbnOpCatKind_UNDEFINED;
      case 1: return AbnOpCatKind_I;
      case 2: return AbnOpCatKind_II;
      case 3: return AbnOpCatKind_III;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<AbnOpCatKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      AbnOpCatKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<AbnOpCatKind>() {
          public AbnOpCatKind findValueByNumber(int number) {
            return AbnOpCatKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(20);
  }

  private static final AbnOpCatKind[] VALUES = values();

  public static AbnOpCatKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private AbnOpCatKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.AbnOpCatKind)
}

